# PetscDLLibraryAppend

Appends another dynamic link library to the seach list, to the end of the search path.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscDLLibraryAppend(MPI_Comm comm,PetscDLLibrary *outlist,const char libname[])

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| libname | - name of the library

### Output Parameter

outlist -list of libraries

Notes: if library is already in path will not add it.

Level:developer
Location:src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages